<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Service.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="iduom"
                                 baseTableName="service"
                                 constraintName="fk_service_uom_id"
                                 referencedColumnNames="iduom"
                                 referencedTableName="uom"/>

        <addForeignKeyConstraint baseColumnNames="services_id"
                                 baseTableName="service_feature"
                                 constraintName="fk_service_feature_services_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="service"/>

        <addForeignKeyConstraint baseColumnNames="features_id"
                                 baseTableName="service_feature"
                                 constraintName="fk_service_feature_features_id"
                                 referencedColumnNames="idfeature"
                                 referencedTableName="feature"/>
        
        <addForeignKeyConstraint baseColumnNames="services_id"
                                 baseTableName="service_category"
                                 constraintName="fk_service_category_services_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="service"/>

        <addForeignKeyConstraint baseColumnNames="categories_id"
                                 baseTableName="service_category"
                                 constraintName="fk_service_category_categories_id"
                                 referencedColumnNames="idcategory"
                                 referencedTableName="category_product"/>
        
        <addForeignKeyConstraint baseColumnNames="idweType"
                                 baseTableName="service"
                                 constraintName="fk_service_we_type_id"
                                 referencedColumnNames="id"
                                 referencedTableName="we_service_type"/>

    </changeSet>
</databaseChangeLog>
